
Redmine - Defect #20882

% done: progress bar blocked at 80 in the issue list

2015-09-30 17:46 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version:  

Description

It's because of a css right padding in /public/stylesheets/rtl.css :

/***** Tables *****/

table.list td {padding-left:0px; padding-right:10px;}

 A fix :

table.list table.progress td {

    padding-right:0px;

}

Associated revisions

Revision 15291 - 2016-04-03 13:54 - Jean-Philippe Lang

% done: progress bar blocked at 80 in the issue list (#20882).

Patch by Jérôme BATAILLE.

History

#1 - 2015-09-30 17:47 - Jérôme BATAILLE

Sorry, I can't fix the description :

A fix to put in public/stylesheets/application.css :

table.list table.progress td {

    padding-right:0px;

}

#2 - 2015-10-25 14:23 - Toshi MARUYAMA

- Description updated

#3 - 2015-10-25 14:30 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from New to Needs feedback

rtl.css is for Right-to-left (Arabic etc.), right?

#4 - 2016-01-28 13:23 - Jérôme BATAILLE

Toshi MARUYAMA wrote:

rtl.css is for Right-to-left (Arabic etc.), right?

 You're right ! the same instruction to override is in application.css :

table.list td {text-align:center; vertical-align:top; padding-right:10px;}
#5 - 2016-02-25 00:55 - Jérôme BATAILLE

Hi, can you check this simple patch ?

#6 - 2016-02-25 03:17 - Go MAEDA

- Category set to UI

@Jérôme BATAILLE:

Could you please attach screenshots? (before and after). After I see it, I will set target version.

#7 - 2016-03-19 01:42 - Jérôme BATAILLE

- File redmine_issues_done_ok.png added

- File redmine_issues_done_stuck_80.png added

Go MAEDA wrote:

Could you please attach screenshots? (before and after). After I see it, I will set target version.

here they are :

without patch

 

with patch

 

#8 - 2016-03-19 10:36 - Go MAEDA

- Status changed from Needs feedback to Confirmed

- Target version set to 3.2.2

#9 - 2016-03-26 06:09 - Toshi MARUYAMA

Sorry, I cannot see any difference in note-7 with and without.

#10 - 2016-03-26 06:38 - Toshi MARUYAMA

- File i-got-it.png added

I got it.
i-got-it.png 

#11 - 2016-03-29 10:02 - Jérôme BATAILLE

Yes it's just a tiny difference.
#12 - 2016-04-03 13:54 - Jean-Philippe Lang

- Subject changed from % done : progress bar blocked at 80 to % done: progress bar blocked at 80 in the issue list

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.2.2 to 3.3.0

- Resolution set to Fixed

Committed, thanks.

#13 - 2016-04-04 14:38 - Jérôme BATAILLE

Thanks a lot.
